[P040]Economic Indicators

get
https://connect.patsnap.com/patent-valuation-data/economic_indicators
Try in Sandbox

Receive patent economic valuation score data by patent_id or patent_number. This includes the patent increment ratio of IPC class and IPC main group in the last 5 years, and the family stability trend.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringc3efa1e6-a2c3-4502-b5e7-97fcf570cfd3
patent_id
patent_number
stringUS5012236A
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patsnap_economy_value
objectPlease check the form: EconomyValue
economic indicators
ipc_class_5y_incr
number<double>0.6249
Patent increment ratio of IPC class in last 5 years
family_trend_stability
number<double>0.22
Family stability trend
ipc_main_group_5y_incr
number<double>0.467
Patent increment ratio of IPC main-group in last 5 years
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patsnap_economy_value": {
        "ipc_class_5y_incr": 0.6249,
        "family_trend_stability": 0.22,
        "ipc_main_group_5y_incr": 0.467
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found